MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023095Open CASCADE[OCCT] OCCT:Codingpublic2012-04-11 12:172012-05-10 15:42
Reporterbugmaster 
Assigned Todbv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version 
Target Version[OCCT] 6.5.3Fixed in Version[OCCT] 6.5.3 
Summary0023095: Porting demo and samples on OCCT 6.5.3
DescriptionProting demo and samples for current state of OCCT
TagsNo tags attached.
Test case number
Attached Files

- Relationships
parent of 0023097closedbugmaster Community MFC Samples do not compile after redesigning the TKOpenGl driver 

-  Notes
(0020334)
Pawel (updater)
2012-04-11 15:56

Related to issue 23097.
(0020423)
dbv (developer)
2012-04-20 14:49

Demo and samples have been fixed and pushed to the Git branch CR23095

Dear bugmaster,
Please review.
(0020427)
kgv (developer)
2012-04-23 11:44

Dear dbv,

in MFC samples ALL targets fixed to 'win$(ARCH)' paths in VS project files.
This means that directories will be selected according to global environment variables rather than exact VS project file version and Target configuration (win32/x64).

Voxeldemo.
Why VoxelOpenGl project includes whole TKOpenGl sources?
Why linking against TKOpenGl is insufficient?
(0020434)
dbv (developer)
2012-04-23 19:27

Dear kgv,

thanks for the your remark.

Paths in *.vcproj files in MFC sample have been fixed.
Linux scripts in QT samples have been fixed.

Git branch CR23095_1 is ready to be reviewed.
(0020440)
kgv (developer)
2012-04-24 09:39

2dbv,

but what about VoxelOpenGl?
(0020443)
kgv (developer)
2012-04-25 11:12

2dbv,

more remarks to batch scripts in Samples:
- Absolute paths (included %~dp0 etc.) should be quoted in most cases within call/start/set statements (to avoid errors for paths within spaces).
- Scripts should be updated to follow common scheme (use absolute paths from %~dp0, eliminate statements with relative paths).
- I think "@echo off" should be included in all scripts to eliminate redundant output.

- Related Changesets
occt: master cc5ac00d
Timestamp: 2012-04-21 09:47:03
Author: dbv
Details ] Diff ]
0023095: Porting demo and samples on OCCT 6.5.3
rm - samples/CSharp/env.bat Diff ] File ]
mod - samples/CSharp/IE/IE.csproj Diff ] File ]
mod - samples/CSharp/IE/IE.sln Diff ] File ]
add - samples/CSharp/msvc.bat Diff ] File ]
mod - samples/CSharp/OCC/OCC.vcproj Diff ] File ]
add - samples/CSharp/run.bat Diff ] File ]
rm - samples/CSharp/Run_MSVC.bat Diff ] File ]
mod - samples/CSharp/shell/shell.vcproj Diff ] File ]
mod - samples/mfc/standard/01_Geometry/adm/win/vc10/Geometry.vcxproj Diff ] File ]
mod - samples/mfc/standard/01_Geometry/adm/win/vc8/Geometry.vcproj Diff ] File ]
mod - samples/mfc/standard/01_Geometry/adm/win/vc9/Geometry.vcproj Diff ] File ]
mod - samples/mfc/standard/02_Modeling/adm/win/vc10/Modeling.vcxproj Diff ] File ]
mod - samples/mfc/standard/02_Modeling/adm/win/vc8/Modeling.vcproj Diff ] File ]
mod - samples/mfc/standard/02_Modeling/adm/win/vc9/Modeling.vcproj Diff ] File ]
mod - samples/mfc/standard/03_Viewer2d/adm/win/vc10/Viewer2d.vcxproj Diff ] File ]
mod - samples/mfc/standard/03_Viewer2d/adm/win/vc8/Viewer2d.vcproj Diff ] File ]
mod - samples/mfc/standard/03_Viewer2d/adm/win/vc9/Viewer2d.vcproj Diff ] File ]
mod - samples/mfc/standard/04_Viewer3d/adm/win/vc10/Viewer3d.vcxproj Diff ] File ]
mod - samples/mfc/standard/04_Viewer3d/adm/win/vc8/Viewer3d.vcproj Diff ] File ]
mod - samples/mfc/standard/04_Viewer3d/adm/win/vc9/Viewer3d.vcproj Diff ] File ]
mod - samples/mfc/standard/04_Viewer3d/src/TexturesExt_Presentation.cpp Diff ] File ]
mod - samples/mfc/standard/05_ImportExport/adm/win/vc10/ImportExport.vcxproj Diff ] File ]
mod - samples/mfc/standard/05_ImportExport/adm/win/vc8/ImportExport.vcproj Diff ] File ]
mod - samples/mfc/standard/05_ImportExport/adm/win/vc9/ImportExport.vcproj Diff ] File ]
mod - samples/mfc/standard/06_Ocaf/adm/win/vc10/Ocaf.vcxproj Diff ] File ]
mod - samples/mfc/standard/06_Ocaf/adm/win/vc8/Ocaf.vcproj Diff ] File ]
mod - samples/mfc/standard/06_Ocaf/adm/win/vc9/Ocaf.vcproj Diff ] File ]
mod - samples/mfc/standard/07_Triangulation/adm/win/vc10/Triangulation.vcxproj Diff ] File ]
mod - samples/mfc/standard/07_Triangulation/adm/win/vc8/Triangulation.vcproj Diff ] File ]
mod - samples/mfc/standard/07_Triangulation/adm/win/vc9/Triangulation.vcproj Diff ] File ]
mod - samples/mfc/standard/08_HLR/adm/win/vc10/HLR.vcxproj Diff ] File ]
mod - samples/mfc/standard/08_HLR/adm/win/vc8/HLR.vcproj Diff ] File ]
mod - samples/mfc/standard/08_HLR/adm/win/vc9/HLR.vcproj Diff ] File ]
mod - samples/mfc/standard/09_Animation/adm/win/vc10/Animation.vcxproj Diff ] File ]
mod - samples/mfc/standard/09_Animation/adm/win/vc8/Animation.vcproj Diff ] File ]
mod - samples/mfc/standard/09_Animation/adm/win/vc9/Animation.vcproj Diff ] File ]
mod - samples/mfc/standard/10_Convert/adm/win/vc10/Convert.vcxproj Diff ] File ]
mod - samples/mfc/standard/10_Convert/adm/win/vc8/Convert.vcproj Diff ] File ]
mod - samples/mfc/standard/10_Convert/adm/win/vc9/Convert.vcproj Diff ] File ]
mod - samples/mfc/standard/mfcsample/adm/win/vc10/mfcsample.vcxproj Diff ] File ]
mod - samples/mfc/standard/mfcsample/adm/win/vc8/mfcsample.vcproj Diff ] File ]
mod - samples/mfc/standard/mfcsample/adm/win/vc9/mfcsample.vcproj Diff ] File ]
add - samples/mfc/standard/msvc.bat Diff ] File ]
mod - samples/mfc/standard/readme.txt Diff ] File ]
rm - samples/mfc/standard/Run.bat Diff ] File ]
add - samples/mfc/standard/run.bat Diff ] File ]
rm - samples/mfc/standard/Run_MSVC.bat Diff ] File ]
mod - samples/qt/IESample/env.bat Diff ] File ]
mod - samples/qt/IESample/generation-vc-projects.bat Diff ] File ]
mod - samples/qt/IESample/IESample-vc10.sln Diff ] File ]
mod - samples/qt/IESample/IESample-vc8.sln Diff ] File ]
mod - samples/qt/IESample/IESample.pro Diff ] File ]
add - samples/qt/IESample/msvc.bat Diff ] File ]
rm - samples/qt/IESample/Run_MSVC.bat Diff ] File ]
mod - samples/qt/Tutorial/env.bat Diff ] File ]
mod - samples/qt/Tutorial/generation-vc-projects.bat Diff ] File ]
add - samples/qt/Tutorial/msvc.bat Diff ] File ]
rm - samples/qt/Tutorial/Run.bat Diff ] File ]
add - samples/qt/Tutorial/run.bat Diff ] File ]
rm - samples/qt/Tutorial/Run_MSVC.bat Diff ] File ]
mod - samples/qt/Tutorial/src/MakeBottle.cxx Diff ] File ]
mod - samples/qt/Tutorial/Tutorial-vc10.sln Diff ] File ]
mod - samples/qt/Tutorial/Tutorial-vc8.sln Diff ] File ]
mod - samples/qt/Tutorial/Tutorial-vc9.sln Diff ] File ]
mod - samples/qt/Tutorial/Tutorial.pro Diff ] File ]
mod - samples/qt/voxeldemo/env.bat Diff ] File ]
add - samples/qt/voxeldemo/msvc.bat Diff ] File ]
mod - samples/qt/voxeldemo/OpenGl/OpenGl.vcproj Diff ] File ]
rm - samples/qt/voxeldemo/Run.bat Diff ] File ]
add - samples/qt/voxeldemo/run.bat Diff ] File ]
rm - samples/qt/voxeldemo/Run_MSVC.bat Diff ] File ]
mod - samples/qt/voxeldemo/src/Application.cpp Diff ] File ]
add - samples/qt/voxeldemo/VoxelDemo-vc9.sln Diff ] File ]
mod - samples/qt/voxeldemo/VoxelDemo.vcproj Diff ] File ]
occt: master 7a53e886
Timestamp: 2012-04-24 13:47:31
Author: bugmaster
Details ] Diff ]
0023095: Porting demo and samples on OCCT 6.5.3

Fix for paths in *.vcproj files in MFC sample
Fixed scripts for QT samples on Linux platform
mod - samples/mfc/standard/01_Geometry/adm/win/vc10/Geometry.vcxproj Diff ] File ]
mod - samples/mfc/standard/01_Geometry/adm/win/vc8/Geometry.vcproj Diff ] File ]
mod - samples/mfc/standard/01_Geometry/adm/win/vc9/Geometry.vcproj Diff ] File ]
mod - samples/mfc/standard/02_Modeling/adm/win/vc10/Modeling.vcxproj Diff ] File ]
mod - samples/mfc/standard/02_Modeling/adm/win/vc8/Modeling.vcproj Diff ] File ]
mod - samples/mfc/standard/02_Modeling/adm/win/vc9/Modeling.vcproj Diff ] File ]
mod - samples/mfc/standard/03_Viewer2d/adm/win/vc10/Viewer2d.vcxproj Diff ] File ]
mod - samples/mfc/standard/03_Viewer2d/adm/win/vc8/Viewer2d.vcproj Diff ] File ]
mod - samples/mfc/standard/03_Viewer2d/adm/win/vc9/Viewer2d.vcproj Diff ] File ]
mod - samples/mfc/standard/04_Viewer3d/adm/win/vc10/Viewer3d.vcxproj Diff ] File ]
mod - samples/mfc/standard/04_Viewer3d/adm/win/vc8/Viewer3d.vcproj Diff ] File ]
mod - samples/mfc/standard/04_Viewer3d/adm/win/vc9/Viewer3d.vcproj Diff ] File ]
mod - samples/mfc/standard/05_ImportExport/adm/win/vc10/ImportExport.vcxproj Diff ] File ]
mod - samples/mfc/standard/05_ImportExport/adm/win/vc8/ImportExport.vcproj Diff ] File ]
mod - samples/mfc/standard/05_ImportExport/adm/win/vc9/ImportExport.vcproj Diff ] File ]
mod - samples/mfc/standard/06_Ocaf/adm/win/vc10/Ocaf.vcxproj Diff ] File ]
mod - samples/mfc/standard/06_Ocaf/adm/win/vc8/Ocaf.vcproj Diff ] File ]
mod - samples/mfc/standard/06_Ocaf/adm/win/vc9/Ocaf.vcproj Diff ] File ]
mod - samples/mfc/standard/07_Triangulation/adm/win/vc10/Triangulation.vcxproj Diff ] File ]
mod - samples/mfc/standard/07_Triangulation/adm/win/vc8/Triangulation.vcproj Diff ] File ]
mod - samples/mfc/standard/07_Triangulation/adm/win/vc9/Triangulation.vcproj Diff ] File ]
mod - samples/mfc/standard/08_HLR/adm/win/vc10/HLR.vcxproj Diff ] File ]
mod - samples/mfc/standard/08_HLR/adm/win/vc8/HLR.vcproj Diff ] File ]
mod - samples/mfc/standard/08_HLR/adm/win/vc9/HLR.vcproj Diff ] File ]
mod - samples/mfc/standard/09_Animation/adm/win/vc10/Animation.vcxproj Diff ] File ]
mod - samples/mfc/standard/09_Animation/adm/win/vc8/Animation.vcproj Diff ] File ]
mod - samples/mfc/standard/09_Animation/adm/win/vc9/Animation.vcproj Diff ] File ]
mod - samples/mfc/standard/10_Convert/adm/win/vc10/Convert.vcxproj Diff ] File ]
mod - samples/mfc/standard/10_Convert/adm/win/vc8/Convert.vcproj Diff ] File ]
mod - samples/mfc/standard/10_Convert/adm/win/vc9/Convert.vcproj Diff ] File ]
mod - samples/mfc/standard/All-vc10.sln Diff ] File ]
mod - samples/mfc/standard/All-vc8.sln Diff ] File ]
mod - samples/mfc/standard/All-vc9.sln Diff ] File ]
mod - samples/mfc/standard/mfcsample/adm/win/vc10/mfcsample.vcxproj Diff ] File ]
mod - samples/mfc/standard/mfcsample/adm/win/vc8/mfcsample.vcproj Diff ] File ]
mod - samples/mfc/standard/mfcsample/adm/win/vc9/mfcsample.vcproj Diff ] File ]
add - samples/qt/IESample/custom.sh Diff ] File ]
add - samples/qt/IESample/env.sh Diff ] File ]
mod - samples/qt/IESample/IESample.pro Diff ] File ]
add - samples/qt/IESample/make.sh Diff ] File ]
mod - samples/qt/IESample/run.sh Diff ] File ]
add - samples/qt/Tutorial/custom.sh Diff ] File ]
mod - samples/qt/Tutorial/env.bat Diff ] File ]
add - samples/qt/Tutorial/env.sh Diff ] File ]
add - samples/qt/Tutorial/make.sh Diff ] File ]
mod - samples/qt/Tutorial/run.sh Diff ] File ]
mod - samples/qt/Tutorial/src/ApplicationTut.cxx Diff ] File ]
mod - samples/qt/Tutorial/Tutorial.pro Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-04-11 12:17 bugmaster New Issue
2012-04-11 12:17 bugmaster Assigned To => dbv
2012-04-11 12:19 bugmaster Status new => assigned
2012-04-11 15:56 Pawel Note Added: 0020334
2012-04-11 16:03 abv Relationship added parent of 0023097
2012-04-20 14:49 dbv Note Added: 0020423
2012-04-20 14:49 dbv Assigned To dbv => bugmaster
2012-04-20 14:49 dbv Status assigned => resolved
2012-04-23 11:44 kgv Note Added: 0020427
2012-04-23 12:33 dbv Changeset attached => occt master cc5ac00d
2012-04-23 12:33 dbv Assigned To bugmaster => dbv
2012-04-23 12:33 dbv Status resolved => verified
2012-04-23 12:33 dbv Resolution open => fixed
2012-04-23 19:27 dbv Note Added: 0020434
2012-04-24 09:39 kgv Note Added: 0020440
2012-04-25 11:12 kgv Note Added: 0020443
2012-05-10 15:35 bugmaster Changeset attached => occt master 7a53e886
2012-05-10 15:36 bugmaster Assigned To dbv => bugmaster
2012-05-10 15:36 bugmaster Status closed => verified
2012-05-10 15:42 bugmaster Status verified => closed
2014-01-11 11:58 abv Category OCCT Release:BUILD => OCCT:Coding


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker